- Main Page
- Classes

- Class List
- Class Hierarchy
- Class Members

# JImageFilter Class Reference

`#include <JTypes.h>`

List of all members.

## Public Member Functions
virtual void | ProcessImage (PIXEL_TYPE *pix, int width, int height)=0

## Detailed Description

Custom filter for processing the texture image while loading. You can change the pixels by using a custom filter before the image is created as a texture.

## Member Function Documentation

virtual void JImageFilter::ProcessImage | ( | PIXEL_TYPE * | pix,
|  | int | width,
|  | int | height |
| ) |  |  | `[pure virtual]`

Pure virtual function for the custom filter to implement.

Parameters:

  | pix | - Image data.
  | width | - Width of the image.
  | height | - Height of the image.